=== debian/control ===
Source: ros-galactic-diff-drive-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-controller-interface, ros-galactic-controller-manager, ros-galactic-geometry-msgs, ros-galactic-hardware-interface, ros-galactic-nav-msgs, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-realtime-tools, ros-galactic-ros2-control-test-assets, ros-galactic-tf2, ros-galactic-tf2-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-diff-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-controller-interface, ros-galactic-geometry-msgs, ros-galactic-hardware-interface, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-realtime-tools, ros-galactic-tf2, ros-galactic-tf2-msgs, ros-galactic-ros-workspace
Description: Controller for a differential drive mobile base.
